# Makefile for imtest
# 
# imtest/Makefile.  Generated from Makefile.in by configure.
#
# Copyright (c) 1994-2008 Carnegie Mellon University.  All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
#
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in
#    the documentation and/or other materials provided with the
#    distribution.
#
# 3. The name "Carnegie Mellon University" must not be used to
#    endorse or promote products derived from this software without
#    prior written permission. For permission or any legal
#    details, please contact
#      Carnegie Mellon University
#      Center for Technology Transfer and Enterprise Creation
#      4615 Forbes Avenue
#      Suite 302
#      Pittsburgh, PA  15213
#      (412) 268-7393, fax: (412) 268-7395
#      innovation@andrew.cmu.edu
#
# 4. Redistributions of any form whatsoever must retain the following
#    acknowledgment:
#    "This product includes software developed by Computing Services
#     at Carnegie Mellon University (http://www.cmu.edu/computing/)."
#
# CARNEGIE MELLON UNIVERSITY DISCLAIMS ALL WARRANTIES WITH REGARD TO
# THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
# AND FITNESS, IN NO EVENT SHALL CARNEGIE MELLON UNIVERSITY BE LIABLE
# FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN
# AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING
# OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
#
# $Id: Makefile.in,v 1.32 2008/03/24 18:55:59 murch Exp $

srcdir = .
top_srcdir = ..


CC = gcc
INSTALL = /usr/bin/install -c -o pbulk -g users
RANLIB = ranlib

DEFS = -DHAVE_CONFIG_H 
CPPFLAGS = -I.. -I$(srcdir)/../lib -I${top_srcdir}/com_err/et -I/usr/pkg/include/db4 -I/usr/pkg/include/db4 -I/usr/include -I/usr/pkg/include -I/usr/include -I/usr/include  -I/usr/pkg/include
LIBS =   -lresolv -lfl   -L/usr/pkg/lib  -Wl,-R/usr/pkg/lib -ldb4 -lssl -lcrypto -lz 
IMAP_LIBS = -L/usr/pkg/lib  -Wl,-R/usr/pkg/lib -lsasl2   -lresolv -lfl   -L/usr/pkg/lib  -Wl,-R/usr/pkg/lib -ldb4 -lssl -lcrypto -lz  
DEPLIBS = ../lib/libcyrus.a ../lib/libcyrus_min.a 

CFLAGS = -O2 -D_FORTIFY_SOURCE=2 -I/usr/pkg/include/db4 -I/usr/include -I/usr/pkg/include
LDFLAGS = -L/usr/lib -Wl,-R/usr/lib -L/usr/pkg/lib -Wl,-R/usr/pkg/lib -L/usr/pkg/lib -Wl,-R/usr/pkg/lib -L/usr/lib -Wl,-R/usr/lib -Wl,-R/usr/pkg/lib/perl5/5.30.0/earmv7hf-netbsd-thread-multi/CORE -L/usr/lib 

SHELL = /bin/sh
MAKEDEPEND = makedepend

PURIFY=/usr/local/bin/purify
PUREOPT= -best-effort -windows=no -logfile=/tmp/pure/%v.%p.log -always_use_cache_dir

prefix = /usr/pkg
exec_prefix = ${prefix}
cyrus_prefix = /usr/pkg/cyrus

all: imtest

install:
	$(INSTALL) -s -m 755 imtest $(DESTDIR)$(exec_prefix)/bin
	ln -f $(DESTDIR)$(exec_prefix)/bin/imtest $(DESTDIR)$(exec_prefix)/bin/pop3test
	ln -f $(DESTDIR)$(exec_prefix)/bin/imtest $(DESTDIR)$(exec_prefix)/bin/nntptest
	ln -f $(DESTDIR)$(exec_prefix)/bin/imtest $(DESTDIR)$(exec_prefix)/bin/lmtptest
	ln -f $(DESTDIR)$(exec_prefix)/bin/imtest $(DESTDIR)$(exec_prefix)/bin/smtptest
	ln -f $(DESTDIR)$(exec_prefix)/bin/imtest $(DESTDIR)$(exec_prefix)/bin/mupdatetest
	ln -f $(DESTDIR)$(exec_prefix)/bin/imtest $(DESTDIR)$(exec_prefix)/bin/sivtest
	ln -f $(DESTDIR)$(exec_prefix)/bin/imtest $(DESTDIR)$(exec_prefix)/bin/synctest

.c.o:
	$(CC) -c $(CPPFLAGS) $(DEFS) $(CFLAGS) $<

imtest: imtest.o $(DEPLIBS)
	$(CC) $(LDFLAGS) -o imtest imtest.o $(DEPLIBS) $(IMAP_LIBS)

imtest.pure: imtest.o $(DEPLIBS)
	$(PURIFY) $(PUREOPT) $(CC) $(LDFLAGS) -o imtest $(OBJS) $(DEPLIBS) $(LIBS) $(IMAP_LIBS)

clean:
	rm -f *.o Makefile.bak makedepend.log imtest

distclean: clean
	rm -f Makefile

depend: 
	${MAKEDEPEND} $(CPPFLAGS) $(DEFS) $(CFLAGS) *.c $(srcdir)/*.c 1> makedepend.log 2>&1

# DO NOT DELETE THIS LINE -- make depend depends on it.

imtest.o: ../config.h /usr/include/sys/time.h /usr/include/sys/featuretest.h
imtest.o: /usr/include/sys/types.h /usr/include/machine/types.h
imtest.o: /usr/include/sys/cdefs.h /usr/include/machine/cdefs.h
imtest.o: /usr/include/sys/cdefs_elf.h /usr/include/arm/int_types.h
imtest.o: /usr/include/machine/ansi.h /usr/include/sys/common_ansi.h
imtest.o: /usr/include/machine/int_types.h /usr/include/sys/ansi.h
imtest.o: /usr/include/machine/endian.h /usr/include/sys/endian.h
imtest.o: /usr/include/machine/endian_machdep.h /usr/include/machine/bswap.h
imtest.o: /usr/include/arm/byte_swap.h /usr/include/sys/bswap.h
imtest.o: /usr/include/sys/stdint.h /usr/include/machine/int_mwgwtypes.h
imtest.o: /usr/include/machine/int_limits.h /usr/include/machine/int_const.h
imtest.o: /usr/include/machine/wchar_limits.h /usr/include/sys/fd_set.h
imtest.o: /usr/include/pthread_types.h /usr/include/sys/timespec.h
imtest.o: /usr/include/sys/select.h /usr/include/sys/sigtypes.h
imtest.o: /usr/include/time.h /usr/include/sys/null.h
imtest.o: /usr/include/sys/idtype.h ../com_err/et/com_err.h
imtest.o: /usr/include/stdarg.h ../com_err/et/error_table.h
imtest.o: /usr/include/fcntl.h /usr/include/netdb.h /usr/include/inttypes.h
imtest.o: /usr/include/sys/inttypes.h /usr/include/machine/int_fmtio.h
imtest.o: /usr/include/sys/socket.h /usr/include/sys/uio.h
imtest.o: /usr/include/netinet/in.h /usr/include/netinet6/in6.h
imtest.o: /usr/include/sys/ipc.h /usr/include/sys/msg.h
imtest.o: /usr/include/sys/stat.h /usr/include/stdlib.h /usr/include/stdio.h
imtest.o: /usr/include/ssp/stdio.h /usr/include/ssp/ssp.h
imtest.o: /usr/include/string.h /usr/include/strings.h
imtest.o: /usr/include/ssp/strings.h /usr/include/ssp/string.h
imtest.o: /usr/include/signal.h /usr/include/sys/signal.h
imtest.o: /usr/include/sys/siginfo.h /usr/include/machine/signal.h
imtest.o: /usr/include/sys/ucontext.h /usr/include/machine/mcontext.h
imtest.o: /usr/include/limits.h /usr/include/machine/limits.h
imtest.o: /usr/include/sys/syslimits.h /usr/include/unistd.h
imtest.o: /usr/include/sys/unistd.h /usr/include/ssp/unistd.h
imtest.o: /usr/include/sys/un.h /usr/include/sys/file.h
imtest.o: /usr/include/sys/fcntl.h /usr/include/sys/param.h
imtest.o: /usr/include/machine/param.h /usr/pkg/include/sasl/sasl.h
imtest.o: /usr/include/stddef.h /usr/pkg/include/sasl/prop.h
imtest.o: /usr/pkg/include/sasl/saslutil.h /usr/include/pwd.h ./../lib/prot.h
imtest.o: /usr/include/openssl/ssl.h /usr/include/openssl/e_os2.h
imtest.o: /usr/include/openssl/opensslconf.h /usr/include/openssl/opensslv.h
imtest.o: /usr/include/stdint.h /usr/include/openssl/comp.h
imtest.o: /usr/include/openssl/crypto.h /usr/include/openssl/safestack.h
imtest.o: /usr/include/openssl/stack.h /usr/include/openssl/ossl_typ.h
imtest.o: /usr/include/openssl/cryptoerr.h /usr/include/openssl/symhacks.h
imtest.o: /usr/include/pthread.h /usr/include/sched.h
imtest.o: /usr/include/sys/sched.h /usr/include/openssl/comperr.h
imtest.o: /usr/include/openssl/bio.h /usr/include/openssl/bioerr.h
imtest.o: /usr/include/openssl/x509.h /usr/include/openssl/buffer.h
imtest.o: /usr/include/openssl/buffererr.h /usr/include/openssl/evp.h
imtest.o: /usr/include/openssl/evperr.h /usr/include/openssl/objects.h
imtest.o: /usr/include/openssl/obj_mac.h /usr/include/openssl/asn1.h
imtest.o: /usr/include/openssl/asn1err.h /usr/include/openssl/bn.h
imtest.o: /usr/include/openssl/bnerr.h /usr/include/openssl/objectserr.h
imtest.o: /usr/include/openssl/ec.h /usr/include/openssl/ecerr.h
imtest.o: /usr/include/openssl/rsa.h /usr/include/openssl/rsaerr.h
imtest.o: /usr/include/openssl/dsa.h /usr/include/openssl/dh.h
imtest.o: /usr/include/openssl/dherr.h /usr/include/openssl/dsaerr.h
imtest.o: /usr/include/openssl/sha.h /usr/include/openssl/x509err.h
imtest.o: /usr/include/openssl/x509_vfy.h /usr/include/openssl/lhash.h
imtest.o: /usr/include/openssl/pkcs7.h /usr/include/openssl/pkcs7err.h
imtest.o: /usr/include/openssl/pem.h /usr/include/openssl/pemerr.h
imtest.o: /usr/include/openssl/hmac.h /usr/include/openssl/async.h
imtest.o: /usr/include/openssl/asyncerr.h /usr/include/openssl/ct.h
imtest.o: /usr/include/openssl/cterr.h /usr/include/openssl/sslerr.h
imtest.o: /usr/include/openssl/ssl2.h /usr/include/openssl/ssl3.h
imtest.o: /usr/include/openssl/tls1.h /usr/include/openssl/dtls1.h
imtest.o: /usr/include/openssl/srtp.h /usr/include/zlib.h
imtest.o: /usr/include/zconf.h ./../lib/hash.h ./../lib/strhash.h
imtest.o: /usr/include/ctype.h /usr/include/sys/ctype_inline.h
imtest.o: /usr/include/sys/ctype_bits.h ./../lib/assert.h
imtest.o: /usr/include/syslog.h /usr/include/errno.h /usr/include/sys/errno.h
imtest.o: ./../lib/mpool.h ./../lib/imparse.h ./../lib/iptostring.h
imtest.o: /usr/include/arpa/inet.h ./../lib/util.h ./../lib/xmalloc.h
imtest.o: ./../lib/xstrlcat.h ./../lib/xstrlcpy.h /usr/include/openssl/md5.h
./imtest.o: ../config.h /usr/include/sys/time.h
./imtest.o: /usr/include/sys/featuretest.h /usr/include/sys/types.h
./imtest.o: /usr/include/machine/types.h /usr/include/sys/cdefs.h
./imtest.o: /usr/include/machine/cdefs.h /usr/include/sys/cdefs_elf.h
./imtest.o: /usr/include/arm/int_types.h /usr/include/machine/ansi.h
./imtest.o: /usr/include/sys/common_ansi.h /usr/include/machine/int_types.h
./imtest.o: /usr/include/sys/ansi.h /usr/include/machine/endian.h
./imtest.o: /usr/include/sys/endian.h /usr/include/machine/endian_machdep.h
./imtest.o: /usr/include/machine/bswap.h /usr/include/arm/byte_swap.h
./imtest.o: /usr/include/sys/bswap.h /usr/include/sys/stdint.h
./imtest.o: /usr/include/machine/int_mwgwtypes.h
./imtest.o: /usr/include/machine/int_limits.h
./imtest.o: /usr/include/machine/int_const.h
./imtest.o: /usr/include/machine/wchar_limits.h /usr/include/sys/fd_set.h
./imtest.o: /usr/include/pthread_types.h /usr/include/sys/timespec.h
./imtest.o: /usr/include/sys/select.h /usr/include/sys/sigtypes.h
./imtest.o: /usr/include/time.h /usr/include/sys/null.h
./imtest.o: /usr/include/sys/idtype.h ../com_err/et/com_err.h
./imtest.o: /usr/include/stdarg.h ../com_err/et/error_table.h
./imtest.o: /usr/include/fcntl.h /usr/include/netdb.h /usr/include/inttypes.h
./imtest.o: /usr/include/sys/inttypes.h /usr/include/machine/int_fmtio.h
./imtest.o: /usr/include/sys/socket.h /usr/include/sys/uio.h
./imtest.o: /usr/include/netinet/in.h /usr/include/netinet6/in6.h
./imtest.o: /usr/include/sys/ipc.h /usr/include/sys/msg.h
./imtest.o: /usr/include/sys/stat.h /usr/include/stdlib.h
./imtest.o: /usr/include/stdio.h /usr/include/ssp/stdio.h
./imtest.o: /usr/include/ssp/ssp.h /usr/include/string.h
./imtest.o: /usr/include/strings.h /usr/include/ssp/strings.h
./imtest.o: /usr/include/ssp/string.h /usr/include/signal.h
./imtest.o: /usr/include/sys/signal.h /usr/include/sys/siginfo.h
./imtest.o: /usr/include/machine/signal.h /usr/include/sys/ucontext.h
./imtest.o: /usr/include/machine/mcontext.h /usr/include/limits.h
./imtest.o: /usr/include/machine/limits.h /usr/include/sys/syslimits.h
./imtest.o: /usr/include/unistd.h /usr/include/sys/unistd.h
./imtest.o: /usr/include/ssp/unistd.h /usr/include/sys/un.h
./imtest.o: /usr/include/sys/file.h /usr/include/sys/fcntl.h
./imtest.o: /usr/include/sys/param.h /usr/include/machine/param.h
./imtest.o: /usr/pkg/include/sasl/sasl.h /usr/include/stddef.h
./imtest.o: /usr/pkg/include/sasl/prop.h /usr/pkg/include/sasl/saslutil.h
./imtest.o: /usr/include/pwd.h ./../lib/prot.h /usr/include/openssl/ssl.h
./imtest.o: /usr/include/openssl/e_os2.h /usr/include/openssl/opensslconf.h
./imtest.o: /usr/include/openssl/opensslv.h /usr/include/stdint.h
./imtest.o: /usr/include/openssl/comp.h /usr/include/openssl/crypto.h
./imtest.o: /usr/include/openssl/safestack.h /usr/include/openssl/stack.h
./imtest.o: /usr/include/openssl/ossl_typ.h /usr/include/openssl/cryptoerr.h
./imtest.o: /usr/include/openssl/symhacks.h /usr/include/pthread.h
./imtest.o: /usr/include/sched.h /usr/include/sys/sched.h
./imtest.o: /usr/include/openssl/comperr.h /usr/include/openssl/bio.h
./imtest.o: /usr/include/openssl/bioerr.h /usr/include/openssl/x509.h
./imtest.o: /usr/include/openssl/buffer.h /usr/include/openssl/buffererr.h
./imtest.o: /usr/include/openssl/evp.h /usr/include/openssl/evperr.h
./imtest.o: /usr/include/openssl/objects.h /usr/include/openssl/obj_mac.h
./imtest.o: /usr/include/openssl/asn1.h /usr/include/openssl/asn1err.h
./imtest.o: /usr/include/openssl/bn.h /usr/include/openssl/bnerr.h
./imtest.o: /usr/include/openssl/objectserr.h /usr/include/openssl/ec.h
./imtest.o: /usr/include/openssl/ecerr.h /usr/include/openssl/rsa.h
./imtest.o: /usr/include/openssl/rsaerr.h /usr/include/openssl/dsa.h
./imtest.o: /usr/include/openssl/dh.h /usr/include/openssl/dherr.h
./imtest.o: /usr/include/openssl/dsaerr.h /usr/include/openssl/sha.h
./imtest.o: /usr/include/openssl/x509err.h /usr/include/openssl/x509_vfy.h
./imtest.o: /usr/include/openssl/lhash.h /usr/include/openssl/pkcs7.h
./imtest.o: /usr/include/openssl/pkcs7err.h /usr/include/openssl/pem.h
./imtest.o: /usr/include/openssl/pemerr.h /usr/include/openssl/hmac.h
./imtest.o: /usr/include/openssl/async.h /usr/include/openssl/asyncerr.h
./imtest.o: /usr/include/openssl/ct.h /usr/include/openssl/cterr.h
./imtest.o: /usr/include/openssl/sslerr.h /usr/include/openssl/ssl2.h
./imtest.o: /usr/include/openssl/ssl3.h /usr/include/openssl/tls1.h
./imtest.o: /usr/include/openssl/dtls1.h /usr/include/openssl/srtp.h
./imtest.o: /usr/include/zlib.h /usr/include/zconf.h ./../lib/hash.h
./imtest.o: ./../lib/strhash.h /usr/include/ctype.h
./imtest.o: /usr/include/sys/ctype_inline.h /usr/include/sys/ctype_bits.h
./imtest.o: ./../lib/assert.h /usr/include/syslog.h /usr/include/errno.h
./imtest.o: /usr/include/sys/errno.h ./../lib/mpool.h ./../lib/imparse.h
./imtest.o: ./../lib/iptostring.h /usr/include/arpa/inet.h ./../lib/util.h
./imtest.o: ./../lib/xmalloc.h ./../lib/xstrlcat.h ./../lib/xstrlcpy.h
./imtest.o: /usr/include/openssl/md5.h
